|
|||||||||
| Home >> All >> org >> mortbay >> webapps >> [ jaas overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
org.mortbay.webapps.jaas
Class Servlet

java.lang.Objectjavax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.mortbay.webapps.jaas.Servlet
- All Implemented Interfaces:
- java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig
- public class Servlet
- extends javax.servlet.http.HttpServlet
Servlet
Demo of using a JAAS realm to authenticate, and then to authorize using a policy file.
Notes
Minimal servlet just for demo.
Usage
Use ant run.jaas.demo in jetty/extra/plus/build.xml
| Field Summary | |
java.sql.Connection |
connection
|
java.lang.String |
dbDriver
|
java.lang.String |
dbPassword
|
java.lang.String |
dbUrl
|
java.lang.String |
dbUserName
|
| Fields inherited from class javax.servlet.http.HttpServlet |
|
| Fields inherited from class javax.servlet.GenericServlet |
|
| Constructor Summary | |
Servlet()
|
|
| Method Summary | |
void |
destroy()
Destroy servlet, drop tables. |
void |
doGet(javax.servlet.http.HttpServletRequest request,
javax.servlet.http.HttpServletResponse response)
Called by the server (via the service method) to
allow a servlet to handle a GET request. |
void |
init()
Create user for test |
| Methods inherited from class javax.servlet.http.HttpServlet |
doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service |
| Methods inherited from class javax.servlet.GenericServlet |
getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log |
| Methods inherited from class java.lang.Object |
clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait |
| Field Detail |
dbUrl
public java.lang.String dbUrl
dbUserName
public java.lang.String dbUserName
dbPassword
public java.lang.String dbPassword
dbDriver
public java.lang.String dbDriver
connection
public java.sql.Connection connection
| Constructor Detail |
Servlet
public Servlet()
| Method Detail |
doGet
public void doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response) throws javax.servlet.ServletException, java.io.IOException
- Description copied from class:
javax.servlet.http.HttpServlet - Called by the server (via the
servicemethod) to allow a servlet to handle a GET request.Overriding this method to support a GET request also automatically supports an HTTP HEAD request. A HEAD request is a GET request that returns no body in the response, only the request header fields.
When overriding this method, read the request data, write the response headers, get the response's writer or output stream object, and finally, write the response data. It's best to include content type and encoding. When using a
PrintWriterobject to return the response, set the content type before accessing thePrintWriterobject.The servlet container must write the headers before committing the response, because in HTTP the headers must be sent before the response body.
Where possible, set the Content-Length header (with the ServletResponse.setContentLength(int)>
ServletResponse.setContentLength(int)55 method), to allow the servlet container to use a persistent connection to return its response to the client, improving performance. The content length is automatically set if the entire response fits inside the response buffer.When using HTTP 1.1 chunked encoding (which means that the response has a Transfer-Encoding header), do not set the Content-Length header.
The GET method should be safe, that is, without any side effects for which users are held responsible. For example, most form queries have no side effects. If a client request is intended to change stored data, the request should use some other HTTP method.
The GET method should also be idempotent, meaning that it can be safely repeated. Sometimes making a method safe also makes it idempotent. For example, repeating queries is both safe and idempotent, but buying a product online or modifying data is neither safe nor idempotent.
If the request is incorrectly formatted,
doGetreturns an HTTP "Bad Request" message.
init
public void init()
throws javax.servlet.ServletException
- Create user for test
destroy
public void destroy()
- Destroy servlet, drop tables.
|
|||||||||
| Home >> All >> org >> mortbay >> webapps >> [ jaas overview ] | PREV CLASS NEXT CLASS | ||||||||
SUMMARY: JAVADOC | SOURCE | DOWNLOAD | NESTED | FIELD | CONSTR | METHOD |
DETAIL: FIELD | CONSTR | METHOD | ||||||||
JAVADOC